Bug 446689 - No audio through speakers on Dell M1330 Laptop, but headphone jack works
No audio through speakers on Dell M1330 Laptop, but headphone jack works
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 13:28 EDT by Mike Hanby
Modified: 2009-07-14 11:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:29:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Hanby 2008-05-15 13:28:40 EDT
Description of problem:
Fedora 8 was previously installed, and sound worked through the speakers. I
installed Fedora 9 i386 using the official release DVD, fresh install wiped the
hard drive, and now sound only works through devices connected to the headphone
jacks.

Maybe this is similar to Bug 442975, but I don't think so since audio works
through headphones.

I'm not sure what component this goes to, so I picked pulseaudio.

I've installed Fedora 9 two times on this system and both installs the speakers
do not produce sound.

I am logged into the desktop as a normal user, any commands below that show
root, I've su'd in a gnome-terminal.

I'm testing sound by running the following in a gnome-terminal:
$ aplay /usr/share/sounds/purple/login.wav
Playing WAVE '/usr/share/sounds/purple/login.wav' : Signed 16 bit Little Endian,
Rate 22050 Hz, Stereo

Here is some info:
# uname -a
Linux ratbook 2.6.25-14.fc9.i686 #1 SMP Thu May 1 06:28:41 EDT 2008 i686 i686
i386 GNU/Linux

# lspci |grep -i audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller
(rev 02)

# lspci -vnn
00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD Audio
Controller [8086:284b] (rev 02)
	Subsystem: Dell Unknown device [1028:0209]
	Flags: bus master, fast devsel, latency 0, IRQ 21
	Memory at febfc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [130] Root Complex Link <?>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

$ dmesg|grep -i sound
ALSA sound/pci/hda/hda_intel.c:1810: chipset global capabilities = 0x4401
ALSA sound/pci/hda/hda_intel.c:749: codec_mask = 0x1
ALSA sound/pci/hda/hda_codec.c:2236: hda_codec: model 'dell-bios' is selected
for config 1028:209 (Dell XPS 1330)
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 0a bios pin config
0221101f
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 0b bios pin config
40f000f0
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 0c bios pin config
40f000f1
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 0d bios pin config
90170110
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 0e bios pin config
02a11030
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 0f bios pin config
02011020
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 10 bios pin config
40f000f2
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 11 bios pin config
40f000f3
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 12 bios pin config
40f000f4
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 13 bios pin config
90a60040
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 14 bios pin config
40f000f5
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 21 bios pin config
185610a0
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 22 bios pin config
40f000f6
ALSA sound/pci/hda/patch_sigmatel.c:1685: hda_codec: pin nid 23 bios pin config
00000000
ALSA sound/pci/hda/patch_sigmatel.c:1712: hda_codec: pin nid 0f pin config 02270110
ALSA sound/pci/hda/patch_sigmatel.c:1712: hda_codec: pin nid 0e pin config 02a79130
ALSA sound/pci/hda/hda_codec.c:2857: autoconfig: line_outs=1 (0xd/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:2861:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:2865:    hp_outs=2 (0xf/0xa/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:2866:    mono: mono_out=0x0
ALSA sound/pci/hda/hda_codec.c:2874:    inputs: mic=0xe, fmic=0x0, line=0x0,
fline=0x0, cd=0x0, aux=0x0
ALSA sound/pci/hda/patch_sigmatel.c:2080: stac92xx_add_dyn_out_pins: total dac
count=4
ALSA sound/pci/hda/patch_sigmatel.c:2202: dac_nids=3 (0x5/0x2/0x4/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Side Playback Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Headphone Playback
Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Headphone Playback
Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Speaker Playback Volume,
skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave External Speaker Playback
Volume, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Speaker2 Playback Volume,
skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Side Playback Switch, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Headphone Playback
Switch, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Headphone Playback
Switch, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Speaker Playback Switch,
skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave External Speaker Playback
Switch, skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave Speaker2 Playback Switch,
skipped
ALSA sound/pci/hda/hda_codec.c:1073: Cannot find slave IEC958 Playback Switch,
skipped
Comment 1 Mike Hanby 2008-05-15 20:38:16 EDT
An update, this laptop has two headphone jacks, sound only works with headphone
jack # 2. The jack on the left does not produce sound when external speakers are
plugged in.
Comment 2 Mike Hanby 2008-05-16 11:19:02 EDT
I suppose I should add that in Fedora 8, both headphone jacks worked as did the
speakers.
Comment 3 Mike Hanby 2008-05-17 21:23:44 EDT
I played with the settings and found that if I launch the HDA Intel (Alsa Mixer)
applet, click Edit -> Preferences and place a check next to Surround, and then
unmute Surround, sound will work.
Comment 4 Lennart Poettering 2008-05-21 10:05:17 EDT
This is not a bug in PA. It's merely an initialization issue of the mixer.
Reassigning to alsa.

We need better default initialization of the ALSA mixer. Upstream is working on
this, so please be patient.
Comment 5 Bug Zapper 2009-06-09 20:52:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:29:45 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.